PKG-SEARCH(1)

NAME
pkg search - searches in remote package repositories

SYNOPSIS
pkg search pkg-name
pkg search [-fDsqop] pkg-name
pkg search [-gxXcdfDsqop] pattern

DESCRIPTION
pkg search is used for searching in the remote package repositories and it displays the requested information for the matching packages.

pkg search will search for the given pattern in the remote package repositories, which are defined in the pkg.conf(5) file.

OPTIONS
The following options are supported by pkg search:

-g  Treat pattern as a shell glob pattern.

-x  Treat pattern as a regular expression.

-X  Treat pattern as an extended regular expression.

-c  Search for pattern in the package comment one-line description.

-d  Search for pattern in the package desription.

-f  Displays full information about the matching packages.

-D  Displays the dependencies of pattern

-s  Displays the size of the package

-q  Be ``quiet''. Prints only the requested information without displaying many hints.

-o  Displays pattern origin.

-p  Displays the installation prefix for each package matching pattern

ENVIRONMENT
The following environment variables affect the execution of pkg search. See pkg.conf(5) for further description.

PACKAGESITE

PKG_MULTIREPOS

FILES
See pkg.conf(5).

SEE ALSO
pkg(1), pkg-add(1), pkg-autoremove(1), pkg-create(1), pkg-backup(1), pkg-install(1), pkg-delete(1), pkg-info(1), pkg-register(1), pkg-repo(1), pkg-update(1), pkg-upgrade(1), pkg-version(1), pkg-which(1), pkg.conf(5)